using Nethereum.ABI.FunctionEncoding.Attributes;

namespace Managing.ABI.GmxV2.ExchangeRouter.ContractDefinition
{
    public partial class SetPricesParams : SetPricesParamsBase
    {
    }

    public class SetPricesParamsBase
    {
        [Parameter("address[]", "tokens", 1)] public virtual List<string> Tokens { get; set; }

        [Parameter("address[]", "providers", 2)]
        public virtual List<string> Providers { get; set; }

        [Parameter("bytes[]", "data", 3)] public virtual List<byte[]> Data { get; set; }
    }
}